> ## Documentation Index
> Fetch the complete documentation index at: https://auth0.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a portal

#### Scopes

Scopes define permissions and access levels for API requests and authentication tokens.

[​](#scopes-scopes)


## OpenAPI

````yaml docs/oas/management/v2/management-api-oas.json POST /portals
openapi: 3.1.0
info:
  title: Auth0 Management API
  description: Auth0 Management API v2.
  termsOfService: https://auth0.com/web-terms/
  contact:
    name: Auth0 Support
    url: https://support.auth0.com
  version: '2.0'
servers:
  - url: https://{tenantDomain}/api/v2
    variables:
      tenantDomain:
        default: '{TENANT}.auth0.com'
        description: Auth0 Tenant Domain
security:
  - bearerAuth: []
externalDocs:
  description: Auth0 Management API Documentation
  url: https://auth0.com/docs/api/management/v2/
paths:
  /portals:
    post:
      tags:
        - portals
      summary: Create a portal
      operationId: create_portal
      requestBody:
        $ref: '#/components/requestBodies/CreatePortalRequest'
      responses:
        '201':
          $ref: '#/components/responses/CreatePortalResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '409':
          $ref: '#/components/responses/Conflict'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
        - oAuth2ClientCredentials:
            - create:portals
      x-codeSamples:
        - lang: typescript
          label: Create a portal
          source: |
            import { ManagementClient } from "auth0";

            async function main() {
                const client = new ManagementClient({
                    domain: "{YOUR_DOMAIN}",
                    token: "<token>",
                });
                await client.portals.create({
                    slug: "slug",
                    name: "name",
                    client: {
                        token_endpoint_auth_method: "client_secret_post",
                        client_id: "client_id",
                        client_secret: "client_secret",
                    },
                });
            }
            main();
        - lang: javascript
          label: Create a portal
          source: |
            import { ManagementClient } from "auth0";

            async function main() {
                const client = new ManagementClient({
                    domain: "{YOUR_DOMAIN}",
                    token: "<token>",
                });
                await client.portals.create({
                    slug: "slug",
                    name: "name",
                    client: {
                        token_endpoint_auth_method: "client_secret_post",
                        client_id: "client_id",
                        client_secret: "client_secret",
                    },
                });
            }
            main();
        - lang: go
          label: Create a portal
          source: |
            package example

            import (
                context "context"

                management "github.com/auth0/go-auth0/v3/management"
                client "github.com/auth0/go-auth0/v3/management/client"
                option "github.com/auth0/go-auth0/v3/management/option"
            )

            func do() {
                mgmt, err := client.New(
                    "{YOUR_DOMAIN}",
                    option.WithToken(
                        "<token>",
                    ),
                )
                if err != nil {
                    return
                }
                request := &management.CreatePortalRequestContent{
                    Slug: "slug",
                    Name: "name",
                    Client: &management.PortalClientSecretPostRequest{
                        TokenEndpointAuthMethod: management.PortalClientSecretPostRequestTokenEndpointAuthMethodClientSecretPost,
                        ClientID: "client_id",
                        ClientSecret: "client_secret",
                    },
                }
                mgmt.Portals.Create(
                    context.TODO(),
                    request,
                )
            }
        - lang: zsh
          label: Create a portal
          source: |-
            # Ensure you're logged in: auth0 login
            auth0 api post "portals" --data '{
              "slug": "slug",
              "name": "name",
              "client": {
                "token_endpoint_auth_method": "client_secret_post",
                "client_id": "client_id",
                "client_secret": "client_secret"
              }
            }'
        - lang: csharp
          label: Create a portal
          source: |
            using Auth0.ManagementApi;
            using System.Threading.Tasks;

            public partial class Examples
            {
                public async Task Example() {
                    var client = new ManagementApiClient(
                        token: "<token>",
                        clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
                    );

                    await client.Portals.CreateAsync(
                        new CreatePortalRequestContent {
                            Slug = "slug",
                            Name = "name",
                            Client = new PortalClientSecretPostRequest {
                                TokenEndpointAuthMethod = PortalClientSecretPostRequestTokenEndpointAuthMethod.ClientSecretPost,
                                ClientId = "client_id",
                                ClientSecret = "client_secret"
                            }
                        }
                    );
                }

            }
        - lang: java
          label: Create a portal
          source: >-
            package com.example.usage;


            import com.auth0.client.mgmt.ManagementApi;

            import com.auth0.client.mgmt.types.CreatePortalRequestContent;

            import com.auth0.client.mgmt.types.PortalClientSecretPostRequest;

            import
            com.auth0.client.mgmt.types.PortalClientSecretPostRequestTokenEndpointAuthMethod;


            public class Example {
                public static void main(String[] args) {
                    ManagementApi client = ManagementApi
                        .builder()
                        .domain("{YOUR_DOMAIN}")
                        .token("<token>")
                        .build();

                    client.portals().create(
                        CreatePortalRequestContent
                            .builder()
                            .slug("slug")
                            .name("name")
                            .client(
                                PortalClientSecretPostRequest
                                    .builder()
                                    .tokenEndpointAuthMethod(PortalClientSecretPostRequestTokenEndpointAuthMethod.CLIENT_SECRET_POST)
                                    .clientId("client_id")
                                    .clientSecret("client_secret")
                                    .build()
                            )
                            .build()
                    );
                }
            }
        - lang: php
          label: Create a portal
          source: >
            <?php


            namespace Example;


            use Auth0\SDK\API\Management\Wrapper\ManagementClient;

            use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;

            use
            Auth0\SDK\API\Management\Portals\Requests\CreatePortalRequestContent;

            use Auth0\SDK\API\Management\Types\PortalClientSecretPostRequest;

            use
            Auth0\SDK\API\Management\Types\PortalClientSecretPostRequestTokenEndpointAuthMethod;


            $client = new ManagementClient(new ManagementClientOptions(
                domain: '{YOUR_DOMAIN}',
                token: '<token>',
            ));

            $client->portals->create(
                new CreatePortalRequestContent([
                    'slug' => 'slug',
                    'name' => 'name',
                    'client' => new PortalClientSecretPostRequest([
                        'tokenEndpointAuthMethod' => PortalClientSecretPostRequestTokenEndpointAuthMethod::ClientSecretPost->value,
                        'clientId' => 'client_id',
                        'clientSecret' => 'client_secret',
                    ]),
                ]),
            );
        - lang: python
          label: Create a portal
          source: >
            from auth0.management import ManagementClient,
            PortalClientSecretPostRequest


            client = ManagementClient(
                domain="{YOUR_DOMAIN}",
                token="<token>",
            )


            client.portals.create(
                slug="slug",
                name="name",
                client=PortalClientSecretPostRequest(
                    token_endpoint_auth_method="client_secret_post",
                    client_id="client_id",
                    client_secret="client_secret",
                ),
            )
        - lang: ruby
          label: Create a portal
          source: >
            require "auth0"


            client = Auth0::Management.new(token: "<token>", base_url:
            "https://{YOUR_DOMAIN}/api/v2")


            client.portals.create(
              slug: "slug",
              name: "name",
              client: {
                token_endpoint_auth_method: "client_secret_post",
                client_id: "client_id",
                client_secret: "client_secret"
              }
            )
components:
  requestBodies:
    CreatePortalRequest:
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CreatePortalRequestContent'
  responses:
    CreatePortalResponse:
      description: The portal was successfully created.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Portal'
    BadRequest:
      description: Invalid input based on schema.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestSchema'
    Unauthorized:
      description: Token has expired or signature is invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedSchema'
    Forbidden:
      description: Forbidden. The message will vary depending on the cause.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenSchema'
    NotFound:
      description: Not Found. The message will vary depending on the cause.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              statusCode:
                const: 404
              error:
                const: Not Found
            required:
              - message
              - statusCode
              - error
    Conflict:
      description: Conflict. The message will vary depending on the cause.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ConflictSchema'
    TooManyRequests:
      description: Too Many Requests. Polling interval exceed, slow down.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              statusCode:
                const: 429
              error:
                const: Too Many Requests
            required:
              - message
              - statusCode
              - error
    InternalServerError:
      description: >-
        Internal Server Error. The server encountered an unexpected condition
        and could not fulfill the request.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              statusCode:
                const: 500
              error:
                const: Internal Server Error
            required:
              - message
              - statusCode
              - error
  schemas:
    CreatePortalRequestContent:
      type: object
      properties:
        slug:
          $ref: '#/components/schemas/PortalSlug'
        name:
          $ref: '#/components/schemas/PortalName'
        client:
          $ref: '#/components/schemas/PortalClientRequest'
        navigation:
          $ref: '#/components/schemas/PortalNavigation'
        pages:
          $ref: '#/components/schemas/PortalPagesByType'
        custom_code:
          $ref: '#/components/schemas/PortalCustomCode'
      additionalProperties: false
      required:
        - slug
        - name
        - client
    Portal:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/PortalId'
        name:
          $ref: '#/components/schemas/PortalName'
        navigation:
          $ref: '#/components/schemas/PortalNavigation'
        pages:
          $ref: '#/components/schemas/PortalPagesByType'
        slug:
          $ref: '#/components/schemas/PortalSlug'
        client:
          $ref: '#/components/schemas/PortalClient'
        custom_code:
          $ref: '#/components/schemas/PortalCustomCode'
        created_at:
          $ref: '#/components/schemas/PortalDateTime'
        updated_at:
          $ref: '#/components/schemas/PortalDateTime'
      additionalProperties: false
      required:
        - id
        - name
        - slug
        - created_at
        - updated_at
    BadRequestSchema:
      description: Bad Request
      type: object
      properties:
        message:
          type: string
        statusCode:
          const: 400
        error:
          const: Bad Request
      required:
        - message
        - statusCode
        - error
    UnauthorizedSchema:
      description: Unauthorized
      type: object
      properties:
        message:
          type: string
        statusCode:
          const: 401
        error:
          const: Unauthorized
      required:
        - message
        - statusCode
        - error
    ForbiddenSchema:
      description: Forbidden
      type: object
      properties:
        message:
          type: string
        statusCode:
          const: 403
        error:
          const: Forbidden
      required:
        - message
        - statusCode
        - error
    ConflictSchema:
      description: Conflict
      type: object
      properties:
        message:
          type: string
        statusCode:
          const: 409
        error:
          const: Conflict
      required:
        - message
        - statusCode
        - error
    PortalSlug:
      type: string
      format: portal-slug
    PortalName:
      type: string
      minLength: 1
      maxLength: 150
    PortalClientRequest:
      oneOf:
        - $ref: '#/components/schemas/PortalClientSecretPostRequest'
    PortalNavigation:
      type: object
      properties:
        sidebar:
          $ref: '#/components/schemas/Sidebar'
      additionalProperties: false
      required: []
    PortalPagesByType:
      type: object
      properties:
        default:
          $ref: '#/components/schemas/PageSlug'
        standard:
          type: array
          items:
            $ref: '#/components/schemas/PortalPage'
      additionalProperties: false
      required: []
    PortalCustomCode:
      type: object
      properties:
        head:
          type: string
          title: Head
          description: >-
            Custom code injected into the <head> of the portal. Only injected
            when the portal is accessed via a custom domain; it is not injected
            on canonical domains.
          minLength: 1
          maxLength: 10000
      additionalProperties: false
      required: []
    PortalId:
      type: string
      format: portal-id
    PortalClient:
      oneOf:
        - $ref: '#/components/schemas/PortalClientSecretPost'
    PortalDateTime:
      type: string
      format: date-time
    PortalClientSecretPostRequest:
      type: object
      properties:
        token_endpoint_auth_method:
          const: client_secret_post
        client_id:
          type: string
          format: client-id
        client_secret:
          type: string
          minLength: 1
          maxLength: 256
      additionalProperties: false
      required:
        - token_endpoint_auth_method
        - client_id
        - client_secret
    Sidebar:
      type: object
      properties:
        components:
          type: array
          items:
            $ref: '#/components/schemas/SidebarComponent'
      additionalProperties: false
      required: []
    PageSlug:
      type: string
      format: portal-slug
    PortalPage:
      type: object
      properties:
        title:
          type: string
          minLength: 1
          maxLength: 150
        slug:
          $ref: '#/components/schemas/PageSlug'
        components:
          type: array
          items:
            $ref: '#/components/schemas/PageComponent'
      additionalProperties: false
      required:
        - title
        - slug
    PortalClientSecretPost:
      type: object
      properties:
        token_endpoint_auth_method:
          const: client_secret_post
        client_id:
          type: string
          format: client-id
      additionalProperties: false
      required:
        - token_endpoint_auth_method
        - client_id
    SidebarComponent:
      type: object
      oneOf:
        - $ref: '#/components/schemas/SidebarComponentAuth0ExternalLink'
        - $ref: '#/components/schemas/SidebarComponentAuth0InternalLink'
        - $ref: '#/components/schemas/SidebarComponentAuth0ExternalLinkV2'
        - $ref: '#/components/schemas/SidebarComponentAuth0InternalLinkV2'
    PageComponent:
      type: object
      oneOf:
        - $ref: '#/components/schemas/PageComponentAuth0Form'
        - $ref: '#/components/schemas/PageComponentAuth0TypographyHeading'
        - $ref: '#/components/schemas/PageComponentAuth0MediaImage'
        - $ref: '#/components/schemas/PageComponentAuth0TypographyRichText'
        - $ref: '#/components/schemas/PageComponentAuth0StructureSection'
        - $ref: '#/components/schemas/PageComponentAuth0StructureSeparator'
        - $ref: '#/components/schemas/PageComponentAuth0MyOrganizationDomainTable'
        - $ref: >-
            #/components/schemas/PageComponentAuth0MyOrganizationMemberManagement
        - $ref: '#/components/schemas/PageComponentAuth0MyOrganizationDetailsEdit'
        - $ref: '#/components/schemas/PageComponentAuth0MyAccountPasskeyManagement'
        - $ref: '#/components/schemas/PageComponentAuth0MyAccountMfaManagement'
    SidebarComponentAuth0ExternalLink:
      deprecated: true
      x-release-lifecycle: deprecated
      description: Deprecated. Use "sidebar:component:auth0:external_link:v2" instead.
      type: object
      properties:
        type:
          type: string
          const: sidebar:component:auth0:external_link
        config:
          $ref: '#/components/schemas/SidebarComponentAuth0ExternalLinkConfig'
      additionalProperties: false
      required:
        - type
        - config
    SidebarComponentAuth0InternalLink:
      deprecated: true
      x-release-lifecycle: deprecated
      description: Deprecated. Use "sidebar:component:auth0:internal_link:v2" instead.
      type: object
      properties:
        type:
          type: string
          const: sidebar:component:auth0:internal_link
        config:
          $ref: '#/components/schemas/SidebarComponentAuth0InternalLinkConfig'
      additionalProperties: false
      required:
        - type
        - config
    SidebarComponentAuth0ExternalLinkV2:
      type: object
      properties:
        type:
          type: string
          const: sidebar:component:auth0:external_link:v2
        config:
          $ref: '#/components/schemas/SidebarComponentAuth0ExternalLinkV2Config'
      additionalProperties: false
      required:
        - type
        - config
    SidebarComponentAuth0InternalLinkV2:
      type: object
      properties:
        type:
          type: string
          const: sidebar:component:auth0:internal_link:v2
        config:
          $ref: '#/components/schemas/SidebarComponentAuth0InternalLinkV2Config'
      additionalProperties: false
      required:
        - type
        - config
    PageComponentAuth0Form:
      type: object
      properties:
        type:
          type: string
          const: page:component:auth0:form
        config:
          $ref: '#/components/schemas/PageComponentAuth0FormConfig'
      additionalProperties: false
      required:
        - type
        - config
    PageComponentAuth0TypographyHeading:
      type: object
      properties:
        type:
          type: string
          const: page:component:auth0:typography:heading
        config:
          $ref: '#/components/schemas/PageComponentAuth0TypographyHeadingConfig'
      additionalProperties: false
      required:
        - type
        - config
    PageComponentAuth0MediaImage:
      type: object
      properties:
        type:
          type: string
          const: page:component:auth0:media:image
        config:
          $ref: '#/components/schemas/PageComponentAuth0MediaImageConfig'
      additionalProperties: false
      required:
        - type
        - config
    PageComponentAuth0TypographyRichText:
      type: object
      properties:
        type:
          type: string
          const: page:component:auth0:typography:rich_text
        config:
          $ref: '#/components/schemas/PageComponentAuth0TypographyRichTextConfig'
      additionalProperties: false
      required:
        - type
        - config
    PageComponentAuth0StructureSection:
      type: object
      properties:
        type:
          type: string
          const: page:component:auth0:structure:section
        config:
          $ref: '#/components/schemas/PageComponentAuth0StructureSectionConfig'
      additionalProperties: false
      required:
        - type
        - config
    PageComponentAuth0StructureSeparator:
      type: object
      properties:
        type:
          type: string
          const: page:component:auth0:structure:separator
        config:
          $ref: '#/components/schemas/PageComponentAuth0StructureSeparatorConfig'
      additionalProperties: false
      required:
        - type
    PageComponentAuth0MyOrganizationDomainTable:
      type: object
      properties:
        type:
          type: string
          const: page:component:auth0:my_organization:domain_table
        config:
          $ref: >-
            #/components/schemas/PageComponentAuth0MyOrganizationDomainTableConfig
      additionalProperties: false
      required:
        - type
    PageComponentAuth0MyOrganizationMemberManagement:
      type: object
      properties:
        type:
          type: string
          const: page:component:auth0:my_organization:member_management
        config:
          $ref: >-
            #/components/schemas/PageComponentAuth0MyOrganizationMemberManagementConfig
      additionalProperties: false
      required:
        - type
    PageComponentAuth0MyOrganizationDetailsEdit:
      type: object
      properties:
        type:
          type: string
          const: page:component:auth0:my_organization:details_edit
        config:
          $ref: >-
            #/components/schemas/PageComponentAuth0MyOrganizationDetailsEditConfig
      additionalProperties: false
      required:
        - type
    PageComponentAuth0MyAccountPasskeyManagement:
      type: object
      properties:
        type:
          type: string
          const: page:component:auth0:my_account:passkey_management
        config:
          $ref: >-
            #/components/schemas/PageComponentAuth0MyAccountPasskeyManagementConfig
      additionalProperties: false
      required:
        - type
    PageComponentAuth0MyAccountMfaManagement:
      type: object
      properties:
        type:
          type: string
          const: page:component:auth0:my_account:mfa_management
        config:
          $ref: '#/components/schemas/PageComponentAuth0MyAccountMfaManagementConfig'
      additionalProperties: false
      required:
        - type
    SidebarComponentAuth0ExternalLinkConfig:
      type: object
      properties:
        label:
          type: string
          title: Label
          description: Text shown for the link.
          minLength: 1
          maxLength: 50
        url:
          type: string
          title: URL
          description: External URL to navigate to.
          format: url
          minLength: 1
          maxLength: 200
        icon:
          type: string
          title: Icon
          description: Name of the icon displayed next to the link label.
          minLength: 1
          maxLength: 50
      additionalProperties: false
      required:
        - label
        - url
    SidebarComponentAuth0InternalLinkConfig:
      type: object
      properties:
        label:
          type: string
          title: Label
          description: Text shown for the link.
          minLength: 1
          maxLength: 50
        to:
          type: string
          title: Page slug
          description: Slug of the internal portal page to navigate to.
          minLength: 1
          maxLength: 50
        icon:
          type: string
          title: Icon
          description: Name of the icon displayed next to the link label.
          minLength: 1
          maxLength: 50
      additionalProperties: false
      required:
        - label
        - to
    SidebarComponentAuth0ExternalLinkV2Config:
      type: object
      properties:
        label:
          type: string
          title: Label
          description: Text shown for the link.
          minLength: 1
          maxLength: 50
        href:
          type: string
          title: URL
          description: External URL to navigate to.
          format: url
          minLength: 1
          maxLength: 200
        icon:
          type: string
          title: Icon
          description: Name of the icon displayed next to the link label.
          minLength: 1
          maxLength: 50
      additionalProperties: false
      required:
        - label
        - href
    SidebarComponentAuth0InternalLinkV2Config:
      type: object
      properties:
        label:
          type: string
          title: Label
          description: Text shown for the link.
          minLength: 1
          maxLength: 50
        page_slug:
          type: string
          title: Page slug
          description: Slug of the internal portal page to navigate to.
          minLength: 1
          maxLength: 50
        icon:
          type: string
          title: Icon
          description: Name of the icon displayed next to the link label.
          minLength: 1
          maxLength: 50
      additionalProperties: false
      required:
        - label
        - page_slug
    PageComponentAuth0FormConfig:
      type: object
      properties:
        form_id:
          type: string
          title: Form ID
          description: The identifier of the form you want to render.
          minLength: 1
          maxLength: 50
        completion_message:
          type: string
          title: Completion message
          description: Toast message displayed after successful form submission.
          minLength: 1
          maxLength: 200
      additionalProperties: false
      required:
        - form_id
        - completion_message
    PageComponentAuth0TypographyHeadingConfig:
      type: object
      properties:
        title:
          type: string
          title: Title
          description: Heading displayed.
          minLength: 1
          maxLength: 50
        description:
          type: string
          title: Description
          description: >-
            Optional description displayed below the title. Supports basic HTML
            formatting: links, bold, italic, and underline.
          minLength: 1
          maxLength: 200
      additionalProperties: false
      required:
        - title
    PageComponentAuth0MediaImageConfig:
      type: object
      properties:
        src:
          type: string
          title: Source
          description: URL of the image to display.
          format: url
          minLength: 1
          maxLength: 500
        position:
          $ref: '#/components/schemas/PageComponentAuth0MediaImagePositionEnum'
        height:
          type: integer
          title: Height
          description: >-
            Height of the image in pixels. Width scales automatically to
            preserve aspect ratio.
          minimum: 1
          maximum: 500
      additionalProperties: false
      required:
        - src
    PageComponentAuth0TypographyRichTextConfig:
      type: object
      properties:
        content:
          type: string
          title: Content
          description: >-
            HTML content to render. Supports headings, bold, italic, underline,
            links, text alignment, and lists.
          minLength: 1
          maxLength: 10000
      additionalProperties: false
      required:
        - content
    PageComponentAuth0StructureSectionConfig:
      type: object
      properties:
        title:
          type: string
          title: Title
          description: Heading displayed at the top of the section.
          minLength: 1
          maxLength: 50
        description:
          type: string
          title: Description
          description: Optional description displayed below the title.
          minLength: 1
          maxLength: 200
        variant:
          $ref: '#/components/schemas/PageComponentAuth0StructureSectionVariantEnum'
        children:
          type: array
          title: Children
          description: Components to render inside the section.
          minItems: 0
          maxItems: 20
          items:
            $ref: '#/components/schemas/PageComponentNoChildren'
      additionalProperties: false
      required:
        - variant
        - children
    PageComponentAuth0StructureSeparatorConfig:
      type: object
      properties:
        variant:
          $ref: '#/components/schemas/PageComponentAuth0StructureSeparatorVariantEnum'
        text:
          type: string
          title: Text
          description: >-
            Optional label centered within the separator line (ignored when
            variant is "none").
          minLength: 1
          maxLength: 50
      additionalProperties: false
      required: []
    PageComponentAuth0MyOrganizationDomainTableConfig:
      type: object
      properties: {}
      additionalProperties: false
      required: []
    PageComponentAuth0MyOrganizationMemberManagementConfig:
      type: object
      properties: {}
      additionalProperties: false
      required: []
    PageComponentAuth0MyOrganizationDetailsEditConfig:
      type: object
      properties: {}
      additionalProperties: false
      required: []
    PageComponentAuth0MyAccountPasskeyManagementConfig:
      type: object
      properties: {}
      additionalProperties: false
      required: []
    PageComponentAuth0MyAccountMfaManagementConfig:
      type: object
      properties: {}
      additionalProperties: false
      required: []
    PageComponentAuth0MediaImagePositionEnum:
      type: string
      title: Position
      description: Horizontal alignment of the image within its container.
      enum:
        - left
        - center
        - right
    PageComponentAuth0StructureSectionVariantEnum:
      type: string
      title: Section variant
      description: Controls the section container style.
      enum:
        - card
        - none
    PageComponentNoChildren:
      type: object
      oneOf:
        - $ref: '#/components/schemas/PageComponentAuth0Form'
        - $ref: '#/components/schemas/PageComponentAuth0TypographyHeading'
        - $ref: '#/components/schemas/PageComponentAuth0MediaImage'
        - $ref: '#/components/schemas/PageComponentAuth0TypographyRichText'
        - $ref: '#/components/schemas/PageComponentAuth0StructureSeparator'
        - $ref: '#/components/schemas/PageComponentAuth0MyOrganizationDomainTable'
        - $ref: >-
            #/components/schemas/PageComponentAuth0MyOrganizationMemberManagement
        - $ref: '#/components/schemas/PageComponentAuth0MyOrganizationDetailsEdit'
        - $ref: '#/components/schemas/PageComponentAuth0MyAccountPasskeyManagement'
        - $ref: '#/components/schemas/PageComponentAuth0MyAccountMfaManagement'
    PageComponentAuth0StructureSeparatorVariantEnum:
      type: string
      title: Separator variant
      description: Controls the line style. Defaults to "solid".
      enum:
        - dashed
        - none
        - solid
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: jwt
    oAuth2ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token/
          x-form-parameters:
            audience: /api/v2/
          scopes:
            create:actions: Create Actions
            read:actions: Read Actions
            update:actions: Update Actions
            delete:actions: Delete Actions
            create:agents: Create Agents
            read:agents: Read Agents
            update:agents: Update Agents
            delete:agents: Delete Agents
            read:anomaly_blocks: Read Anomaly Blocks
            delete:anomaly_blocks: Delete Anomaly Blocks
            read:attack_protection: Read Attack Protection
            update:attack_protection: Update Attack Protection
            create:authentication_methods: Create Authentication Methods
            read:authentication_methods: Read Authentication Methods
            update:authentication_methods: Update Authentication Methods
            delete:authentication_methods: Delete Authentication Methods
            read:branding: Read Branding
            update:branding: Update Branding
            delete:branding: Delete Branding
            create:client_credentials: Create Client Credentials
            read:client_credentials: Read Client Credentials
            update:client_credentials: Update Client Credentials
            delete:client_credentials: Delete Client Credentials
            create:client_grants: Create Client Grants
            read:client_grants: Read Client Grants
            update:client_grants: Update Client Grants
            delete:client_grants: Delete Client Grants
            read:client_keys: Read Client Keys
            update:client_keys: Update Client Keys
            read:client_summary: Read Client Summary
            update:client_token_vault_privileged_access: Update Client Token Vault Privileged Access
            create:clients: Create Clients
            read:clients: Read Clients
            update:clients: Update Clients
            delete:clients: Delete Clients
            create:connection_profiles: Create Connection Profiles
            read:connection_profiles: Read Connection Profiles
            update:connection_profiles: Update Connection Profiles
            delete:connection_profiles: Delete Connection Profiles
            create:connections: Create Connections
            read:connections: Read Connections
            update:connections: Update Connections
            delete:connections: Delete Connections
            create:connections_keys: Create Connections Keys
            read:connections_keys: Read Connections Keys
            update:connections_keys: Update Connections Keys
            read:current_user: Read Current User
            delete:current_user: Delete Current User
            create:current_user_device_credentials: Create Current User Device Credentials
            delete:current_user_device_credentials: Delete Current User Device Credentials
            update:current_user_identities: Update Current User Identities
            update:current_user_metadata: Update Current User Metadata
            create:custom_domains: Create Custom Domains
            read:custom_domains: Read Custom Domains
            update:custom_domains: Update Custom Domains
            delete:custom_domains: Delete Custom Domains
            create:custom_signing_keys: Create Custom Signing Keys
            read:custom_signing_keys: Read Custom Signing Keys
            update:custom_signing_keys: Update Custom Signing Keys
            delete:custom_signing_keys: Delete Custom Signing Keys
            read:device_credentials: Read Device Credentials
            delete:device_credentials: Delete Device Credentials
            create:directory_provisionings: Create Directory Provisionings
            read:directory_provisionings: Read Directory Provisionings
            update:directory_provisionings: Update Directory Provisionings
            delete:directory_provisionings: Delete Directory Provisionings
            create:email_provider: Create Email Provider
            read:email_provider: Read Email Provider
            update:email_provider: Update Email Provider
            delete:email_provider: Delete Email Provider
            create:email_templates: Create Email Templates
            read:email_templates: Read Email Templates
            update:email_templates: Update Email Templates
            create:encryption_keys: Create Encryption Keys
            read:encryption_keys: Read Encryption Keys
            update:encryption_keys: Update Encryption Keys
            delete:encryption_keys: Delete Encryption Keys
            read:event_deliveries: Read Event Deliveries
            update:event_deliveries: Update Event Deliveries
            create:event_streams: Create Event Streams
            read:event_streams: Read Event Streams
            update:event_streams: Update Event Streams
            delete:event_streams: Delete Event Streams
            read:events: Read Events
            create:experimentation: Create Experimentation
            read:experimentation: Read Experimentation
            update:experimentation: Update Experimentation
            delete:experimentation: Delete Experimentation
            create:flows: Create Flows
            read:flows: Read Flows
            update:flows: Update Flows
            delete:flows: Delete Flows
            read:flows_executions: Read Flows Executions
            delete:flows_executions: Delete Flows Executions
            create:flows_vault_connections: Create Flows Vault Connections
            read:flows_vault_connections: Read Flows Vault Connections
            update:flows_vault_connections: Update Flows Vault Connections
            delete:flows_vault_connections: Delete Flows Vault Connections
            create:forms: Create Forms
            read:forms: Read Forms
            update:forms: Update Forms
            delete:forms: Delete Forms
            read:grants: Read Grants
            delete:grants: Delete Grants
            read:group_members: Read Group Members
            create:group_roles: Create Group Roles
            read:group_roles: Read Group Roles
            delete:group_roles: Delete Group Roles
            read:groups: Read Groups
            delete:groups: Delete Groups
            create:guardian_enrollment_tickets: Create Guardian Enrollment Tickets
            read:guardian_enrollments: Read Guardian Enrollments
            delete:guardian_enrollments: Delete Guardian Enrollments
            read:guardian_factors: Read Guardian Factors
            update:guardian_factors: Update Guardian Factors
            create:hooks: Create Hooks
            read:hooks: Read Hooks
            update:hooks: Update Hooks
            delete:hooks: Delete Hooks
            create:log_streams: Create Log Streams
            read:log_streams: Read Log Streams
            update:log_streams: Update Log Streams
            delete:log_streams: Delete Log Streams
            read:logs: Read Logs
            read:logs_users: Read Logs Users
            read:mfa_policies: Read Mfa Policies
            update:mfa_policies: Update Mfa Policies
            create:network_acls: Create Network Acls
            read:network_acls: Read Network Acls
            update:network_acls: Update Network Acls
            delete:network_acls: Delete Network Acls
            create:organization_client_grants: Create Organization Client Grants
            read:organization_client_grants: Read Organization Client Grants
            delete:organization_client_grants: Delete Organization Client Grants
            create:organization_connections: Create Organization Connections
            read:organization_connections: Read Organization Connections
            update:organization_connections: Update Organization Connections
            delete:organization_connections: Delete Organization Connections
            create:organization_discovery_domains: Create Organization Discovery Domains
            read:organization_discovery_domains: Read Organization Discovery Domains
            update:organization_discovery_domains: Update Organization Discovery Domains
            delete:organization_discovery_domains: Delete Organization Discovery Domains
            create:organization_group_roles: Create Organization Group Roles
            read:organization_group_roles: Read Organization Group Roles
            delete:organization_group_roles: Delete Organization Group Roles
            read:organization_groups: Read Organization Groups
            create:organization_invitations: Create Organization Invitations
            read:organization_invitations: Read Organization Invitations
            delete:organization_invitations: Delete Organization Invitations
            read:organization_member_effective_roles: Read Organization Member Effective Roles
            read:organization_member_role_source_groups: Read Organization Member Role Source Groups
            create:organization_member_roles: Create Organization Member Roles
            read:organization_member_roles: Read Organization Member Roles
            delete:organization_member_roles: Delete Organization Member Roles
            create:organization_members: Create Organization Members
            read:organization_members: Read Organization Members
            delete:organization_members: Delete Organization Members
            create:organizations: Create Organizations
            read:organizations: Read Organizations
            update:organizations: Update Organizations
            delete:organizations: Delete Organizations
            read:organizations_summary: Read Organizations Summary
            create:phone_providers: Create Phone Providers
            read:phone_providers: Read Phone Providers
            update:phone_providers: Update Phone Providers
            delete:phone_providers: Delete Phone Providers
            create:phone_templates: Create Phone Templates
            read:phone_templates: Read Phone Templates
            update:phone_templates: Update Phone Templates
            delete:phone_templates: Delete Phone Templates
            read:prompts: Read Prompts
            update:prompts: Update Prompts
            create:rate_limit_policies: Create Rate Limit Policies
            read:rate_limit_policies: Read Rate Limit Policies
            update:rate_limit_policies: Update Rate Limit Policies
            delete:rate_limit_policies: Delete Rate Limit Policies
            read:refresh_tokens: Read Refresh Tokens
            update:refresh_tokens: Update Refresh Tokens
            delete:refresh_tokens: Delete Refresh Tokens
            create:resource_servers: Create Resource Servers
            read:resource_servers: Read Resource Servers
            update:resource_servers: Update Resource Servers
            delete:resource_servers: Delete Resource Servers
            create:role_members: Create Role Members
            read:role_members: Read Role Members
            delete:role_members: Delete Role Members
            create:roles: Create Roles
            read:roles: Read Roles
            update:roles: Update Roles
            delete:roles: Delete Roles
            create:rules: Create Rules
            read:rules: Read Rules
            update:rules: Update Rules
            delete:rules: Delete Rules
            read:rules_configs: Read Rules Configs
            update:rules_configs: Update Rules Configs
            delete:rules_configs: Delete Rules Configs
            create:scim_config: Create Scim Config
            read:scim_config: Read Scim Config
            update:scim_config: Update Scim Config
            delete:scim_config: Delete Scim Config
            create:scim_token: Create Scim Token
            read:scim_token: Read Scim Token
            delete:scim_token: Delete Scim Token
            read:self_service_profile_custom_texts: Read Self Service Profile Custom Texts
            update:self_service_profile_custom_texts: Update Self Service Profile Custom Texts
            create:self_service_profiles: Create Self Service Profiles
            read:self_service_profiles: Read Self Service Profiles
            update:self_service_profiles: Update Self Service Profiles
            delete:self_service_profiles: Delete Self Service Profiles
            read:sessions: Read Sessions
            update:sessions: Update Sessions
            delete:sessions: Delete Sessions
            create:signing_keys: Create Signing Keys
            read:signing_keys: Read Signing Keys
            update:signing_keys: Update Signing Keys
            create:sso_access_tickets: Create Sso Access Tickets
            delete:sso_access_tickets: Delete Sso Access Tickets
            read:stats: Read Stats
            read:tenant_settings: Read Tenant Settings
            update:tenant_settings: Update Tenant Settings
            create:token_exchange_profiles: Create Token Exchange Profiles
            read:token_exchange_profiles: Read Token Exchange Profiles
            update:token_exchange_profiles: Update Token Exchange Profiles
            delete:token_exchange_profiles: Delete Token Exchange Profiles
            create:user_attribute_profiles: Create User Attribute Profiles
            read:user_attribute_profiles: Read User Attribute Profiles
            update:user_attribute_profiles: Update User Attribute Profiles
            delete:user_attribute_profiles: Delete User Attribute Profiles
            read:user_effective_permissions: Read User Effective Permissions
            read:user_effective_roles: Read User Effective Roles
            read:user_idp_tokens: Read User Idp Tokens
            read:user_permission_source_roles: Read User Permission Source Roles
            read:user_role_source_groups: Read User Role Source Groups
            create:user_tickets: Create User Tickets
            create:users: Create Users
            read:users: Read Users
            update:users: Update Users
            delete:users: Delete Users
            update:users_app_metadata: Update Users App Metadata
            create:vdcs_templates: Create Vdcs Templates
            read:vdcs_templates: Read Vdcs Templates
            update:vdcs_templates: Update Vdcs Templates
            delete:vdcs_templates: Delete Vdcs Templates
            create:client_profiles: Create Client Profiles
            read:client_profiles: Read Client Profiles
            update:client_profiles: Update Client Profiles
            delete:client_profiles: Delete Client Profiles
            create:organization_clients: Create Organization Client Associations
            read:organization_clients: Read Organization Client Associations
            update:organization_clients: Update Organization Client Associations
            delete:organization_clients: Delete Organization Client Associations
            create:portals: Create Universal Portals
            read:portals: Read Universal Portals
            update:portals: Update Universal Portals
            delete:portals: Delete Universal Portals
            create:network_acl_keys: Create Network ACL Keys
            read:network_acl_keys: Read Network ACL Keys
            delete:network_acl_keys: Delete Network ACL Keys

````